*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
	text-decoration: none;

    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

:root {
    --theme-color: "";
}

/*body *, */
/*body *::after {*/
/*    transition: color 0.9s ease, background 0.9s ease, background-color 0.9s ease;*/
/*}*/

.main-login-register{
    width: 100%;
    height: 100vh;

    position: relative;
}

.main-login-register .bg-img{
    width: 100%;
    height: 100%;

    background-color: rgb(0 0 0 / 84%);

    position: relative;
}

.main-login-register .bg-img img{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-attachment: fixed;
    overflow: hidden;
    object-fit: cover;
    z-index: -1;
}


.main-login-register .content{
    width: 40%;                   /* responsive 82%*/
    height: 500px;

    padding: 10px 15px;

    background-color: #ffffffb5;

    position: absolute;
    top: 60%;
    left: 50%;
    transform: translate(-50%, -60%);

    border-radius: 10px;

    overflow: hidden;
}


.main-login-register .content h2{
    color: var(--theme-color);
    text-align: center;
    margin-bottom: 50px;
}


.main-login-register .content .btns{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    margin-bottom: 20px;
}

.main-login-register .content .btns button{
    width: 120px;
    padding-top: 10px;
    padding-bottom: 10px;

    margin: 0px;
    border: none;

    transition: background .5s ease-in-out, color .5s ease-in-out;
}

.main-login-register .content .btns .login-btn{
    border-radius: 20px 0px 0px 20px;
    /* box-shadow: -30px 2px 40px 1px #6e6e6e; */
}

.main-login-register .content .btns .register-btn{
    border-radius: 0px 20px 20px 0px;
    /* box-shadow: 30px 2px 40px 1px #6e6e6e; */
}

.main-login-register .content .btns button:hover{
    cursor: pointer;
}





.main-login-register .content .forms{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    height: 70%;
    position: relative;

    /* border: 1px solid red; */
}

.form-container{
    width: 100%;
    height: 100%;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    /* border: 1px solid red; */
}

.main-login-register .content .forms .form-container .form-setting button{
    width: 120px;
    padding-top: 10px;
    padding-bottom: 10px;

    margin: 0px;
    border: none;

    margin-top: 30px;

    border-radius: 4px;

    transition: background .5s ease-in-out, color .5s ease-in-out;
}

.main-login-register .content .forms .form-container .form-setting button:hover{
    cursor: pointer;
    color: #fff;
    background-color: var(--theme-color);
}

.main-login-register .content .forms .form-container .form-setting input[type="text"],
.main-login-register .content .forms .form-container .form-setting input[type="password"],
.main-login-register .content .forms .form-container .form-setting input[type="email"] {
    width: 60%;
    color: var(--theme-color);
    margin-bottom: 10px;
    padding: 6px;
    padding-left: 1px;
    border: none;
    border-bottom: 1px solid #999;
    background: none;
    outline: none;
    font-family: Arial, Helvetica, sans-serif;
}

/* Placeholder styles for text, password, and email inputs */
.main-login-register .content .forms .form-container .form-setting input[type="text"]::placeholder,
.main-login-register .content .forms .form-container .form-setting input[type="password"]::placeholder,
.main-login-register .content .forms .form-container .form-setting input[type="email"]::placeholder {
    color: #636363;
}

/* Focus styles for text, password, and email inputs */
.main-login-register .content .forms .form-container .form-setting input[type="text"]:focus,
.main-login-register .content .forms .form-container .form-setting input[type="password"]:focus,
.main-login-register .content .forms .form-container .form-setting input[type="email"]:focus {
    border-bottom-color: var(--theme-color);
}








.main-login-register .content .forms .form-container .form-setting input {
    width: 60%;
    color: var(--theme-color);
    margin-bottom: 10px;
    padding: 6px;
    padding-left: 1px;
    border: none;
    border-bottom: 1px solid #999;
    background: none;
    outline: none;
    font-family: Arial, Helvetica, sans-serif;
}


.main-login-register .content .forms .form-container .form-setting input::placeholder {
    color: #636363;
}


.main-login-register .content .forms .form-container .form-setting input:focus {
    border-bottom-color: var(--theme-color);
}






/* Autofill styles */
/* .main-login-register .content .forms .form-container .form-setting input:-webkit-autofill,
.main-login-register .content .forms .form-container .form-setting input:-moz-autofil,
.main-login-register .content .forms .form-container .form-setting input:-internal-autofill-selected {
    width: 60% !important;
    color: var(--theme-color) !important;
    margin-bottom: 10px !important;
    padding: 6px !important;
    padding-left: 1px !important;
    border: none !important;
    border-bottom: 1px solid #999 !important;
    background: none !important;
    outline: none !important;
    font-family: Arial, Helvetica, sans-serif !important;
} */


.main-login-register .content .forms .form-container .form-setting .selection {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    width: 100%;
}


.main-login-register .content .forms .form-container .form-setting select {
    width: 35%;
    color: var(--theme-color);
    margin-bottom: 10px;
    padding: 6px;
    padding-left: 1px;
    border: none;
    border-bottom: 1px solid #999;
    background: none;
    outline: none;
    font-family: Arial, Helvetica, sans-serif;
    /* Additional styles to make select look like input */
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url('data:image/svg+xml;charset=US-ASCII,<svg xmlns="http://www.w3.org/2000/svg" width="10" height="10" viewBox="0 0 10 10"><polygon fill="%23999" points="0,0 10,0 5,5"/></svg>');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 10px 10px;
    
    /* border: 1px solid red; */
}


.main-login-register .content .forms .form-container .form-setting .select-price {
    width: 25%;
    /* text-align: center; */
    /* border: 1px solid red; */
    margin-bottom: 10px;
}


.main-login-register .content .forms .form-container .form-setting .select-price p{
    color: #328932;
    font-weight: 900;
    text-align: end;
}

.main-login-register .content .forms .form-container .form-setting .select-price p span{
    color: var(--theme-color);
    font-family: sans-serif !important;
}

.main-login-register .content .forms .form-container .form-setting .select-price p .cduration{
    text-transform: uppercase;

    font-size: 10px;

    margin-bottom: 10px;
}


.main-login-register .content .forms .login-form{
    /* display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; */

    transition: left 0.5s;
}


.main-login-register .content .forms .form-container .form-setting{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 100%;   
    /* transition: left 0.5s; */
}



.main-login-register .content .forms .register-form{
    /* display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; */

    transition: left 0.5s;
}

.active-btn{
    color: #fff;
    background-color: var(--theme-color);
}


.hide-login{
    left: -50%;
}

.hide-register{
    left: 150%;
}

.show-login{
    left: 50%;
}

.show-register{
    left: 50%;
}


.login-register-is-active a{
    color: var(--theme-color);
}


.fp{
    color: var(--theme-color);
    /* width: 60%; */
    text-align: right;
    padding: 4px 5px;

    /* margin-left: 39%; */

    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    
    border-radius: 4px;

    transition: color .5s ease-in-out, background .5s ease-in-out;
}

.fp:hover{
    cursor: pointer;
    background-color: var(--theme-color);
    color: #fff;
}

@media (max-width: 950px) {
    .main-login-register .content{
        width: 82%;                   /* responsive 82%*/
    }

    .main-login-register .content .forms .form-container .form-setting input,
    .main-login-register .content .forms .form-container .form-setting select{
        width: 90%;
    }

    .main-login-register .content .forms .form-container .form-setting select{
        width: 50%;
    }

    .main-login-register .content .forms .form-container .form-setting .select-price {
        width: 40%;
    }

    .main-login-register .content .forms .form-container .form-setting input[type="text"],
    .main-login-register .content .forms .form-container .form-setting input[type="email"],
    .main-login-register .content .forms .form-container .form-setting input[type="password"]{
        width: 90%;
    }
}


/* for height media query */

/* Adjustments for smaller screens */
@media screen and (max-height: 768px) {
    .main-login-register .content {
        height: 400px;
        top: 70%;
        transform: translate(-50%, -70%);
    }
}